local battleGeneral = require("scripts/battleGeneral")
local perPlayerCostumes = require("scripts/perPlayerCostumes")
local blockRespawning = require("scripts/blockRespawning")
local randomPowerups = require("scripts/randomPowerups")
local killFeed = require("scripts/killFeed")

--require("game/repl").activeInEpisode = true

require("scripts/playerphysicspatch")

function onStart()
    if not GameData.hasSetWindowStuff then
        if Misc.setWindowTitle ~= nil then
            Misc.setWindowTitle("Battle Arena (".. battleGeneral.versionNames[battleGeneral.gameVersion].. ")")
        end
        if Misc.setWindowIcon ~= nil then
            Misc.setWindowIcon(Graphics.loadImageResolved("resources/windowIcon.png"))
        end

        GameData.hasSetWindowStuff = true
    end
end